#
# spec file for package gdouros-musica-fonts
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gdouros-musica-fonts
Version:        3.17
Release:        1.2
Summary:        Font with Support for Unicode Musical Notation Symbols
License:        SUSE-Permissive
Group:          System/X11/Fonts
Url:            http://greekfonts.teilar.gr
# Download source:
# http://users.teilar.gr/~g1951d/Musica.zip
Source0:        Musica-%{version}.zip
Source1:        README-SUSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Obsoletes:      musica-fonts < 3.11
Provides:       musica-fonts = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Musica covers the following scripts and symbols supported by The Unicode
Standard: Basic Latin, Greek and Coptic, some Punctuation and other Symbols,
Byzantine Musical Symbols, (Western) Musical Symbols and Archaic Greek
Musical Notation.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/
install -m 0644 %{SOURCE1} .

%reconfigure_fonts_scriptlets

%files
%defattr(-,root,root)
%doc README-SUSE Musica.pdf
%{_ttfontsdir}

%changelog
* Mon Apr 10 2017 aloisio@gmx.com
- Update to version 3.17
- Switched tarball to original (versioned) archive
- Added README-SUSE as separate source
- Updated homepage URL
* Sun Jun 21 2015 aloisio@gmx.com
- updated to 3.12
  * added hinted variant
- replaced README with a note from the website and added
  official pdf description
* Tue Jan 21 2014 pgajdos@suse.com
- updated to 3.11
  * no upstream changelog
  * leaving README from 3.06 version, upstream doesn't provide it
    anymore
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Thu May  3 2012 pgajdos@suse.com
- renamed musica-fonts -> gdouros-musica-fonts
* Fri Apr 27 2012 pgajdos@suse.com
- SUSE-Permissive license
* Fri Jul  1 2011 bachinchi@gmail.com
- Initial package for Musica Font
